# Update of the ASN.1 file
The following steps shall be followed to update the ASN.1 file in TS 103 666-2:
1. CR is accepted by SCP Plenary which modifies any of the ASN.1 snippets in TS 103 666-2.
2. Implement the CR(s) in a new draft of the specification to be published.
3. Generate complete ASN.1 file from the draft of the specification. This can be performed using the extract_asn1.py script provided in the current directory.
4. Make sure that the generated ASN.1 file compiles successfully using any ASN.1 compiler (one of them is located there : https://asn1.io/asn1playground/).
5. Submit generated ASN.1 file to Git repository. CR number and SCP document number shall be mentioned in the commit message.
5. Update Annex B.2 in the draft of TS 103 666-2 with Git link to updated ASN.1 file.
6. Start publication process of the new version of TS 103 666-2.

**Important:** the ASN.1 file shall always be generated from the complete specification and not making changes to the ASN.1 file present in the Git repository.