# How to generate the figures

1. Select the right file in the repository of plantuml files and open it.
2. Copy the entire code from the file.
3. Open a web browser on an online plantuml tool (like the one here : https://liveuml.com/).
4. Paste the content into the window dedicated to that.
5. The tool will display the corresponding figure that should be copied and placed at the right position in TS 103 666-2 (see below).


# Update of a figure

The following steps shall be followed to update a figure in TS 103 666-2:
1. Download the plantuml code of the figure to be updated.
2. Create a CR using the ETSI SCP template. The CR shall includes the plantuml code, using track changes to highlight the modifications. A CR may contain changes in two or more figures and may also contain changes in clauses of TS 103 666-1.
3. CR is accepted by SCP Plenary.
4. Submit accepted plantuml code on Git repository. CR number and SCP document number shall be mentioned in the commit message.
5. Generate the updated figure using Plantuml tool (see above).
6. Include the updated figure in the new draft of TS 103 666-2 to be published.
7. Update annex in TS 103 666-2 with table of figures and corresponding Git links to plantuml code.
8. Start publication process of the new version of TS 103 666-2.

The same steps with the exception of step 1 shall be followed when a new figure is added to TS 103 666.2.
